Hotel Rate

Updates Hotel rates

post
/ari/rate

The Rate message (OTA_HotelRateAmountNotifRQ) defines the nightly occupancy rates for each room type and rate plan combination for specific date ranges. As users request specific occupancies, the rate they see depends on how you define prices in your Rate message.

Authorizations
AuthorizationstringRequired
Body

The root element for a message that defines room rate availability.

EchoTokenstring · min: 1 · max: 100Required

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
TimeStampstring · date-timeRequired

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
NotifTypestring · enumOptional

The type of notification to apply to every RateAmountMessage. Valid values are: Delta: (the default if NotifType isn't specified) Add or update the existing per-occupancy rates for the room type, rate plan, and dates specified in StatusApplicationControl.

Default: DeltaPossible values:
NotifScopeTypestring · enumOptional

The scope of the NotifType to apply to every 'RateAmountMessage'. Valid values are: ProductRate: (the default if NotifScopeType isn't specified) The NotifType applies to products�combinations of room type (InvTypeCode) and rate plan (RatePlanCode).

Default: ProductRatePossible values:
Responses
chevron-right
200

Success Response

Indicates that the request message was processed successfully or not. Either 'Success' or 'Errors' is present in each message.

Timestampstring · date-timeRequired

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
EchoTokenstring · min: 1 · max: 100Required

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
SuccessobjectOptional

Indicates that the request message was processed successfully

post
/ari/rate

Get Hotel Rates

get
/ari/rate/{hotelCode}/{rpc}/{itc}
Authorizations
AuthorizationstringRequired
Path parameters
hotelCodestringRequired
rpcstringRequired
itcstringRequired
Query parameters
datesstring · yyyy-MM-dd[]Required

List of check-in dates

Requester_IDstringOptional
Responses
chevron-right
200

Success

application/json

Get the rate information by hotel code, rate plan code and inventory type code.

EchoTokenstring · min: 1 · max: 100Optional

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
Timestampstring · date-timeOptional

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

ApiVersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
get
/ari/rate/{hotelCode}/{rpc}/{itc}
200

Success

Last updated